ObertObert
Lists

Update Lead List

PATCH
/api/lists/{list_id}
AuthorizationBearer <token>

In: header

Path Parameters

list_idstring

Header Parameters

x-tenant-id?string|null
name?string|null
icp_config?|null
icp_free_text?string|null
notification_config?|null
auto_add_config?|null

Response Body

application/json

application/json

curl -X PATCH "https://api.obert.io/api/lists/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "type": "lead",
  "icp_config": {
    "target_job_titles": [],
    "target_industries": [
      "string"
    ],
    "company_sizes": [
      "string"
    ],
    "company_types": [
      "string"
    ],
    "target_locations": [
      "string"
    ],
    "target_languages": [
      "en"
    ],
    "suggested_keywords": [
      "string"
    ],
    "keywords_generated_at": "string"
  },
  "icp_free_text": "string",
  "notification_config": {
    "enabled": false
  },
  "auto_add_config": {
    "enabled": false,
    "min_icp_tier": "high"
  },
  "item_count": 0,
  "approved_count": 0,
  "pending_approval_count": 0,
  "rejected_count": 0,
  "filtered_count": 0,
  "active_import": {
    "job_id": "string",
    "status": "pending",
    "phase": "importing",
    "source_type": "post_engagers",
    "added": 0,
    "total_expected": 0,
    "scored": 0,
    "total_to_score": 0
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}